%define upstream_name    POE-Component-Resolver
%define upstream_version 0.916

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    A non-blocking getaddrinfo() resolver
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/POE/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(POE) >= 1.311.0
BuildRequires: perl(Scalar::Util) >= 1.230.0
BuildRequires: perl(Socket::GetAddrInfo) >= 0.190.0
BuildRequires: perl(Storable) >= 2.180.0
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Time::HiRes) >= 1.971.100
BuildArch:  noarch

%description
POE::Component::Resolver performs Socket::GetAddrInfo::getaddrinfo() calls
in subprocesses where they're permitted to block as long as necessary.

By default it will run eight subprocesses and prefer address families in
whatever order Socket::GetAddrInfo returns them. These defaults can be
overridden with constructor parameters.

PUBLIC METHODS
    new
        Create a new resolver. Returns an object that must be held and used
        to make requests. See the synopsis.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc CHANGES LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Mon Mar 05 2012 jquelin <jquelin> 0.916.0-1.mga2
+ Revision: 218779
- update to 0.916

* Mon Sep 26 2011 jquelin <jquelin> 0.914.0-1.mga2
+ Revision: 148178
- update to 0.914
- update to 0.913

* Fri Jun 17 2011 jquelin <jquelin> 0.912.0-1.mga2
+ Revision: 108947
- update to 0.912

* Tue Feb 22 2011 jquelin <jquelin> 0.911.0-1.mga1
+ Revision: 56710
- imported package perl-POE-Component-Resolver


* Tue Feb 22 2011 cpan2dist 0.911-1mga
- initial mageia release, generated with cpan2dist
